FIND_PATH ( TSE3_INCLUDE_DIR "tse3/TSE3.h"
		/usr/include/tse3
		/usr/local/include/tse3
		/opt/libtse3/include/ 
)

FIND_LIBRARY ( TSE3_LIBRARY
		NAMES tse3
		PATHS /opt/libtse3/lib
)

IF (TSE3_INCLUDE_DIR AND TSE3_LIBRARY)
   SET(TSE3_FOUND TRUE)
ENDIF (TSE3_INCLUDE_DIR AND TSE3_LIBRARY)


MESSAGE(STATUS "Found Tse3: ${TSE3_INCLUDE_DIR}")
MESSAGE(STATUS "Found Tse3: ${TSE3_LIBRARY}")

IF (TSE3_FOUND)
   IF (NOT Tse3_FIND_QUIETLY)
      MESSAGE(STATUS "Found Tse3: ${TSE3_LIBRARY}")
   ENDIF (NOT Tse3_FIND_QUIETLY)
ELSE (TSE3_FOUND)
   IF (Tse3_FIND_REQUIRED)
      MESSAGE(FATAL_ERROR "Could not find Tse3")
   ENDIF (Tse3_FIND_REQUIRED)
ENDIF (TSE3_FOUND)
